#ifndef GetComChannelState_H
#define GetComChannelState_H

#include <Command.h>

#include "ComChannel.h"
namespace ProtoGenWrapper
{
	class GetComChannelState : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetComChannelState(const ComChannel* comChannel);
		GetComChannelState(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel*& comChannel);

		static int GetCommandType();
	};
}
#endif // GetComChannelState_H
